Package org.eclipse.emf.cdo.server.net4j

# Class FailoverMonitor.ClientProtocol.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.spi.net4j.ServerProtocolFactory
org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory
org.eclipse.emf.cdo.server.net4j.FailoverMonitor.ClientProtocol.Factory

All Implemented Interfaces:
  `FailoverMonitor.Provider`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `FailoverMonitor.ClientProtocol`

public static class FailoverMonitor.ClientProtocol.Factory extends FailoverMonitor.AbstractServerProtocolFactory
Creates `fail-over client protocol` instances.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.spi.net4j.ServerProtocolFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`
`Factory(org.eclipse.net4j.util.container.IManagedContainer container)`

## Method Summary

Modifier and Type
Method
Description
`FailoverMonitor.ClientProtocol`
`create(String description)`

### Methods inherited from class org.eclipse.emf.cdo.server.net4j.FailoverMonitor.AbstractServerProtocolFactory

`getFailoverMonitor`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Factory

public Factory(org.eclipse.net4j.util.container.IManagedContainer container)

### Factory

public Factory()

## Method Details

### create

public FailoverMonitor.ClientProtocol create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`